Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 12/04/2006, à 09:27

Brunus

Encyclopédie de la littérature, 25 Oeuvres.

Bonjour.

Je vous signale une application libre et gratuite (dans sa version allégée à 25 oeuvres), qui existe aujourd"hui sous forme de rpm sur les mirroirs Mandriva, mais qu'il est très simple d'installer sur une Ubuntu.

Il s'agit d'une encyclopédie de la littérature française, qui regroupe des oeuvres majeurs.

Pour la récupérer, il faut se connecter sur un serveur ftp Mandriva, comme free par exemple, puis se rendre dans les répertoires "contribs" de la distribution stable et récupérer 2 paquets :

ftp://ftp.free.fr/mirrors1/ftp.mandriva.com/Mandrakelinux/official/2006.0/i586/media/contrib/enclitt-1.0.3-6mdk.i586.rpm

et

ftp://ftp.free.fr/mirrors1/ftp.mandriva.com/Mandrakelinux/official/2006.0/i586/media/contrib/enclitt-25oeuvres-1.0.0-5mdk.noarch.rpm

Il faut ensuite avoir le convertisseur de package Alien:
sudo apt-get install alien

Puis convertir les paquets rpm :
sudo alien enclitt-1.0.3-6mdk.i586.rpm -d
sudo alien enclitt-25oeuvres-1.0.0-5mdk.noarch.rpm
Vous allez voir s'afficher une série de warnings, qui peuvent êtres ignorés.

Et enfin les installer :
sudo dpkg -i enclitt_1.0.3-7_i386.deb
sudo dpkg -i enclitt-25oeuvres_1.0.0-6_all.deb

L'application se lance par la commande : enclitt

Il semble que l'application necessite une lib qui n'est pas installée par défaut sur toutes les Ubuntu.
Sur les Kubuntu ou sur les Ubuntu sur lesquelles ont été installés des logiciels liés au desktop KDE, enclitt devrait se lancer sans problèmes.
Si l'appli ne se lance pas, le  package à installer pour résoudre le problème devrait être libqt3-mt.
sudo apt-get install libqt3-mt
Edit : Cette solution semble ne pas fonctionner sur Breezy Badger...une autre solution est en cours de test.

Ce logiciel est une réalisation "ruedesecoles", tout comme "Le Nouveau Littré" et les "Packs Educatifs Libres", il fait dailleur parti des packs éducatifs libre.

(les sources de l'application sont normalement disponibles sur les mirroirs Mandriva...il doit donc être possible de créer un véritable package .deb)

Cordialement.

Dernière modification par Brunus (Le 14/04/2006, à 22:15)

Hors ligne

#2 Le 12/04/2006, à 10:24

Black_pignouf

Re : Encyclopédie de la littérature, 25 Oeuvres.

Merci pour l'astuce, mais cela ne fonctionne pas chez moi:

enclitt
enclitt: symbol lookup error: enclitt: undefined symbol: _ZN13QWindowsStyleC2Ev

hmm

Hors ligne

#3 Le 12/04/2006, à 10:30

Brunus

Re : Encyclopédie de la littérature, 25 Oeuvres.

Ha...je dois avoir une lib QT installée sur ma station Dapper...ce qui fait que l'appli fonctionne...désolé. Je vais éditer mon post initial et chercher la dépendance requise.
Merci.

Je pense qu'il s'agit du paquet libqt3-mt.

Dernière modification par Brunus (Le 12/04/2006, à 10:48)

Hors ligne

#4 Le 12/04/2006, à 11:26

gnome06

Re : Encyclopédie de la littérature, 25 Oeuvres.

J'ai adapté le HOW-To pour le mettre dans le WIKI. C'est en ligne.

N'hésitez à venir le corriger/modifier/améliorer ou à soumettre vos remarques.


gnome06

Besoin d'un compte gMail ?
Il me reste 50 invitations, contactez-moi !

Hors ligne

#5 Le 12/04/2006, à 12:07

Black_pignouf

Re : Encyclopédie de la littérature, 25 Oeuvres.

Un lien serait le bienvenu tout de même! roll

http://doc.ubuntu-fr.org/applications/encyclopedie_de_la_litterature_francaise?s=enclitt wink

Hors ligne

#6 Le 13/04/2006, à 00:32

mormegil

Re : Encyclopédie de la littérature, 25 Oeuvres.

Pour ne pas se casser le bol avec les histoires de paquetage mandriva, debian, zz ......
Pourquoi ne pas aller sur le site de Project gutenberg
On y trouve des livres en francais libres de droit.

http://www.gutenberg.org/browse/languages/fr

A vous de me dire si vous y trouvez un interet.


Athlon XP 2400+, 1024 Mo de RAM, Carte-mere Asus A7N8X-X, ATI Radeon X1650 Pro.

Hors ligne

#7 Le 14/04/2006, à 20:33

Paul Atreides

Re : Encyclopédie de la littérature, 25 Oeuvres.

Manifestement, ça ne marche pas pour les Ubuntu Breezy... J'ai pourtant bien le paquet libqt3-mt installé mais ça me met toujours le même message d'erreur que celui signalé... Curieux... hmm

Hors ligne

#8 Le 14/04/2006, à 22:12

Brunus

Re : Encyclopédie de la littérature, 25 Oeuvres.

Paul Atreides a écrit :

Manifestement, ça ne marche pas pour les Ubuntu Breezy... J'ai pourtant bien le paquet libqt3-mt installé mais ça me met toujours le même message d'erreur que celui signalé... Curieux... hmm

Merci pour le retour de bugs...je vais installer une breezy pour tester...et surtout chercher une solution temporaire.

Nous (ruedesecoles) devrions avoir une solution radicale cet été...un poste de stage vient d'être confirmé et un des objectif du candidat stagiaire sera de compiler proprement nos softs (donc enclitt) sur une Ubuntu en incluant les nécessaires et de fournir un paquet installable sur les Breezy et Dapper.

Je modifie le post initiale pour indiquer qu'il y a un problème sur Breezy.

Merci encore.

Hors ligne

#9 Le 02/06/2007, à 09:16

piero

Re : Encyclopédie de la littérature, 25 Oeuvres.

comment installer cette incroyable encyclopédie, ici :
http://ubunteros.tuxfamily.org/spip.php?article45

Hors ligne

#10 Le 06/06/2007, à 19:40

mamagubida10

Re : Encyclopédie de la littérature, 25 Oeuvres.

Moi pour les encyclopédie ou autres je vous conseille ces liens (mais faut un accès à Internet):

Encyclopédie gratuite : http://fr.wikipedia.org/wiki/Accueil
Bibliothèque gratuite : http://fr.wikisource.org/wiki/Accueil  (rechercher l'avare par exemple et vous aurez tous le livre gratuit à lire)
Dictionnaire gratuit : http://fr.wiktionary.org/wiki/Wiktionnaire:Page_d'accueil


Dual boot Ubuntu 12.04LTS / Windows8 sur Toshiba Satellite A200-258
Processeur Intel® Core™2 Duo  T5450 1.66 GHz
ATI Mobility™ Radeon® HD2400 128Mo dédiés

Hors ligne

#11 Le 02/11/2009, à 11:39

gvaslin

Re : Encyclopédie de la littérature, 25 Oeuvres.

Bonjour,

Après installation de Karmic Koala il m'est impossible d'installer enclitt_1.0.3-3_i386.deb à cause d'une dépendance non satisfaite, à savoir libstdc5++. Après vérification, la version présente sur le système est la libstdc6++. Comment faire ?

En vous remerciant...

Dernière modification par gvaslin (Le 02/11/2009, à 11:40)


Inspiron 1545
Ubuntu 11.04

Hors ligne

#12 Le 02/11/2009, à 12:19

Brunus

Re : Encyclopédie de la littérature, 25 Oeuvres.

gvaslin a écrit :

Bonjour,

Après installation de Karmic Koala il m'est impossible d'installer enclitt_1.0.3-3_i386.deb à cause d'une dépendance non satisfaite, à savoir libstdc5++. Après vérification, la version présente sur le système est la libstdc6++. Comment faire ?

En vous remerciant...

Bonjour.

Je n'ai pas testé l'installation de Enclitt sur la dernière Karmic Koala, mais je pense qu'il y a au moins une solution viable parmi les deux suivantes :
- Créer un lien symbolique libstdc5++ vers libstdc6++, qui se trouve dans /usr/bin :

cd /usr/bin
ls libstdc*
sudo ln -s libstdc++.so.6.x.y libstdc++.so.5

(remplacer libstdc++.so.6.x.y par le retour de ls libstdc* dans /usr/bin )
Il faut ensuite installer le paquet enclitt sans tenir compte des dépendances:

sudo dpkg -i enclitt_1.0.3-3_i386.deb --force-depends

Je ne suis pas certain que cela fonctionne, je testerai cela rapidement pour remonter plus d'informations.

- Autre méthode, installer libstdc5++, si le paquet est disponible.


Cordialement,
Bruno Vasta
ruedesecoles.com

Hors ligne

#13 Le 02/11/2009, à 13:04

gvaslin

Re : Encyclopédie de la littérature, 25 Oeuvres.

[RESOLU] ça marche en installant la version de libstdc++ demandée.

Merci.


Inspiron 1545
Ubuntu 11.04

Hors ligne

#14 Le 14/12/2009, à 19:17

Bushman02

Re : Encyclopédie de la littérature, 25 Oeuvres.

Existe-t-il des paquets deb pour les architectures 64 bits ? En effet, les 25 oeuvres s'installent, mais pas le paquet Enclitt proprement dit (i 386).
Si quelqu'un a une suggestion pour contourner l'obstacle...
Merci d'avance.

Dernière modification par Bushman02 (Le 14/12/2009, à 19:17)

Hors ligne

#15 Le 15/12/2009, à 10:36

Brunus

Re : Encyclopédie de la littérature, 25 Oeuvres.

Bushman02 a écrit :

Existe-t-il des paquets deb pour les architectures 64 bits ? En effet, les 25 oeuvres s'installent, mais pas le paquet Enclitt proprement dit (i 386).
Si quelqu'un a une suggestion pour contourner l'obstacle...
Merci d'avance.

Il n'existe pas de paquet deb ou même rpm pour les architectures 64 bits, désolé. Comme vous l'avez sans doute remarqué, ce projet n'est plus réellement supporté, ni par l'équipe de développement, ni par l'éditeur. Nous ne faisons sur ce forum qu'un support "survivaliste".

Je pense qu'il est possible de forcer l'installation du paquet. L'application elle devrait fonctionner.
Peut être qu'en essayant ceci :
sudo dpkg -i enclitt_1.0.3-3_i386.deb --force-all

Il est possible que ça fasse tomber des dépendances, mais à mon sens, tant qu'elles ne descendent pas d'un dépôt alpha, ou non officiel, cela ne posera pas de problème.

Cordialement.

Hors ligne

#16 Le 17/12/2009, à 11:41

Bushman02

Re : Encyclopédie de la littérature, 25 Oeuvres.

Merci, Brunus, de tes conseils : je les utiliserai peut-être d'ici quelque temps. En effet, depuis mon dernier post, et pour d'autres raisons, je suis revenu sous 9.10 32 bits et j'ai trouvé, involontairement, une solution provisoire. J'ai ajouté à mes sources "Jaunty main restricted" : à l'installation du paquet .deb 1.0.3-3, le regretté libstdc5++ s'installe automatiquement.
Je peux donc à nouveau utiliser enclitt, du moins tant que Jaunty est maintenue...
Dois-je inscrire "résolu" ou laisser place à d'autres suggestions... s'il est possible qu'il y en ait d'autres que les tiennes ?

Hors ligne

#17 Le 17/12/2009, à 15:18

Brunus

Re : Encyclopédie de la littérature, 25 Oeuvres.

Bushman02 a écrit :

Dois-je inscrire "résolu" ou laisser place à d'autres suggestions... s'il est possible qu'il y en ait d'autres que les tiennes ?

D'autres utilisent Enclitt, ils auront peut être d'autres suggestions à faire.
Sur un forum, c'est le sujet initial qu'il est important de taguer "résolu", mais les messages qui apparaissent en cours de discussion ne sont pas visibles de l'extérieur de la discussion, il n'est donc pas indispensable de marquer ces messages d'un "résolu"...ça reste néanmoins une très bonne idée :-)

Te répondre me donne l'occasion de souhaiter, de la part des anciens développeurs d'Enclitt, de très bonnes fêtes de fin d'année 2009 aux Ubunteros qui passent sur ce sujet.

Dernière modification par Brunus (Le 17/12/2009, à 15:18)

Hors ligne

#18 Le 27/12/2009, à 11:25

piero

Re : Encyclopédie de la littérature, 25 Oeuvres.

Brunus a écrit :

Te répondre me donne l'occasion de souhaiter, de la part des anciens développeurs d'Enclitt, de très bonnes fêtes de fin d'année 2009 aux Ubunteros qui passent sur ce sujet.

Bonne fête à toi, et à Bushman02 aussi (et merci pour le suivi ;-)

Dernière modification par piero (Le 27/12/2009, à 11:25)

Hors ligne

#19 Le 11/01/2011, à 23:55

nouvoflow

Re : Encyclopédie de la littérature, 25 Oeuvres.

un an après, ça sent le déterrage... mais j'ai au moins la réponse au post #15 et la commande à employer

bon, je suis sur ubuntu10.10 en architecture 64 bits. Il semble qu'enclitt soit allergique à l'architecture...
J'ai fait l'install tout dans le bon ordre, un petit hic lors de l'installation forcée, j'ai utilisé cette série de commandes :

sudo apt-get install libqt3-mt libstdc++5

puis

sudo dpkg --force-architecture -i enclitt_1.0.3-3_i386.deb

résultat :

dpkg : avertissement : problème contourné par utilisation de --force :
 l'architecture du paquet (i386) ne correspond pas à celle du système (amd64)
(Lecture de la base de données... 145636 fichiers et répertoires déjà installés.)
Préparation du remplacement de enclitt 1.0.3-3 (en utilisant enclitt_1.0.3-3_i386.deb) ...
Dépaquetage de la mise à jour de enclitt ...
Paramétrage de enclitt (1.0.3-3) ...

et pour finir :

enclitt

et le retour :

enclitt: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory

J'ai vu le traitement d'un problème similaire ici

Y aura il une possibilité de fournir un binaire 64 bits pour faire tourner cette encyclopédie sur une ubuntu x86_64 ?

Dernière modification par nouvoflow (Le 11/01/2011, à 23:59)


ASUS N73SV - T070V,
Ubuntu Oneiric, la page de doc et la webcam inversée.
Archlinux depuis peu...

Hors ligne

#20 Le 12/01/2011, à 01:46

Bushman02

Re : Encyclopédie de la littérature, 25 Oeuvres.

Bonne question... Je me contente actuellement du site internet.

Hors ligne

#21 Le 12/01/2011, à 07:00

Brunus

Re : Encyclopédie de la littérature, 25 Oeuvres.

Bonjour,

Je vais me renseigner après du développeur qui était en charge chez nous du projet Enclitt, mais je pense qu'il ne faut pas trop compter sur une résurrection du projet.
Ce paquet, Enclitt, avait été réalisé dans le cadre d'un projet de distribution éducative libre avec Mandrake (avant le changement de nom de cette distribution). Après deux versions, le projet global fut abandonné et il n'a pas été décidé de faire un suivit dans le temps et pour d'autres distributions des paquets qui avait été publiés sous licence libre, dont Enclitt.
J'aurai des informations avant la fin de la semaine.

@+

Hors ligne

Haut de page ↑